<ion-view view-title="Signup">
    <ion-content class="padding">
        <form name="authorizationForm" novalidate="" ng-submit="signUp(authorizationForm)"> 
            <ion-list>
                 <ion-item class="item item-input" ng-class="{ 'has-errors' : authorizationForm.name.$invalid, 'no-errors' : authorizationForm.name.$valid}">
                    <input ng-model="data.name" type="text" name="name" placeholder="Name" ng-minlength="5" ng-maxlength="10" required>                    
                </ion-item>
                <div class="error-container" ng-show="authorizationForm.name.$error" ng-messages="authorizationForm.name.$error">
                    <div ng-messages-include="templates/error-list.html"></div>
                </div>
                <ion-item class="item item-input" ng-class="{ 'has-errors' : authorizationForm.email.$invalid, 'no-errors' : authorizationForm.email.$valid}">
                    <input ng-model="data.email" type="text" name="email" placeholder="Email" required>                    
                </ion-item>
                <div class="error-container" ng-show="authorizationForm.email.$error" ng-messages="authorizationForm.email.$error">
                    <div ng-messages-include="templates/error-list.html"></div>
                </div>
                <ion-item class="item item-input" ng-class="{ 'has-errors' : authorizationForm.password.$invalid, 'no-errors' : authorizationForm.password.$valid}">
                    <input ng-model="data.password" name="password" type="password" placeholder="Password" ng-minlength="5" ng-maxlength="10" required>
                </ion-item>
                <div class="error-container" ng-show="authorizationForm.password.$error" ng-messages="authorizationForm.password.$error">
                    <div ng-messages-include="templates/error-list.html"></div>
                </div>
                <button class="button button-outline button-balanced button-block" type="submit">
                    Signup
                </button>

            </ion-list></form> 

    </ion-content>
</ion-view>
